Skip to content

Update my settings

Request

Beta
OAuth 2.0 scope:
  • okta.governance.principalSettings.manage

Updates the settings for the current authenticated user

Bodyapplication/jsonrequired
delegatesobject(delegates-patchable)

Delegates for the principal

PATCH
/governance/api/v1/my/settings
curl -i -X PATCH \
  https://okta-subdomain.pixtulate.com/governance/api/v1/my/settings \
  -H 'Content-Type: application/json' \
  -d '{
    "delegates": {
      "appointments": [
        {
          "id": "gda123ABCXYZ456DEF",
          "delegate": {
            "type": "OKTA_USER",
            "externalId": "00ub0oNGTSWTBKOLGLNR"
          },
          "note": "I am on parental leave"
        }
      ]
    }
  }'

Responses

A successful my settings response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
delegatesobject

My delegates

Response
{ "delegates": { "appointments": [] } }